<div class="container-fluid">
  <div class="col-md-12">
    <div class="box">
      <div class="box-header with-border">
        <h3 class="box-title"> Approved Memos </h3>
        <hr>
        <div class="row">
          <div class="col-sm-2">
            <div class="form-group">
              <label>From Date </label><br>
              <p-calendar name="date"
                          [minDate]="minFromDate"
                          [showIcon]="false"
                          [(ngModel)]="fromDate"
              >
              </p-calendar>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label>To Date </label><br>
              <p-calendar name="date"
                          [minDate]="minToDate"
                          [showIcon]="false"
                          [(ngModel)]="toDate"
                          [style]="{ width: 30}">
              </p-calendar>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label for="type">Request Type</label>
              <select id="type"
                      class="form-control"
                      [(ngModel)]="type"
                      name="requestedFor">
                <option *ngFor="let event of (requestTypes); let i = index"
                        [ngValue]="(requestTypes)[i].value"
                >{{(requestTypes)[i].key}}</option>
              </select>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label for="accountHead">Account Head </label>
              <select id="accountHead"
                      class="form-control"
                      name="accountHead"
                      [(ngModel)]="selectedAccountHeadId"
                      required>
                <option *ngFor="let event of (accountHeads); let i = index"
                        [ngValue]="(accountHeads)[i].accountHeadId"
                >{{(accountHeads)[i].description + '( ' + (accountHeads)[i].accountNumber + ')' }}</option>
              </select>
            </div>
          </div>

          <div class="col-sm-2">
            <div class="form-group">
              <label for="debitBranch">Debit Branch</label>
              <select id="debitBranch"
                      class="form-control"
                      name="debitBranch"
                      [(ngModel)]="branchId"
                      required>
                <option *ngFor="let event of (allBranch); let i = index"
                        [ngValue]="(allBranch)[i].branchId"
                >{{(allBranch)[i].name + ' ( ' + (allBranch)[i].code + ' )'}}</option>
              </select>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label for="fiscalYear">Fiscal Year<span class="required">*</span></label>
              <select id="fiscalYear"
                      class="form-control"
                      name="fiscalYear"
                      [(ngModel)]="fiscalYearId"
                      required>
                <option *ngFor="let event of (fiscalYears); let i = index"
                        [ngValue]="(fiscalYears)[i].id"
                >{{(fiscalYears)[i].year}}</option>
              </select>
          </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label for="month">Month<span class="required">*</span></label>
              <select id="month"
                      class="form-control"
                      name="expType"
                      [(ngModel)]="month"
                      required
              >
                <option *ngFor="let event of (months); let i = index"
                        [ngValue]="(months)[i].months"
                >{{ (months)[i].months }}</option>
              </select>
            </div>
          </div>


          <div class="col-sm-2">
            <div class="form-group" style="margin-top: 27px">
              <button class=" btn btn-success btn-block" (click)="searchData()">
                Search</button>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group" style="margin-top: 27px">
              <button class=" btn btn-danger btn-block" (click)="restValues()">
                Reset</button>
            </div>
          </div>
        </div>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
        <p-table id="exportTable"
                 class="text-center"
                 [columns]="columnName"
                 [value]="(data$)"
                 [(selection)]="selectedItems"
                 [resizableColumns]="true"
                 [autoLayout]="true">

          <ng-template pTemplate="caption">
            Total Approved Entries
            :&nbsp;{{ totalRecords }}
            <button class="btn btn-info btn-xs fa-pull-right"
                    (click)="downloadExcel()">
              <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
              <i class="pi pi-file-excel" style="font-size: 1em;"></i>
              Download
            </button>
          </ng-template>
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns" [pSortableColumn]="col.value">
                {{col.name}}
                <p-sortIcon [field]="col.value"></p-sortIcon>
              </th>
            </tr>
          </ng-template>

          <ng-template pTemplate="body" let-list let-i="rowIndex">
            <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
              <td>{{ i + 1 + itemsPerPage * page }}</td>
              <td>{{list.fiscalYear}}</td>
              <td>{{list.month}}</td>
              <td>{{list.branchName}}</td>
              <td>{{list.solId }}</td>
              <td>{{list.description}}</td>
              <td>{{list.accountNumber}}</td>
              <td>{{list.totalExpense | currency: 'NPR. ' }}</td>
              <td>
                <button class="btn btn-info btn-xs" (click)="viewTransactionDetail(list)">
                  Detail
                </button>
              </td>
            </tr>
          </ng-template>
        </p-table>
        <p-paginator
          [rows]="itemsPerPage"
          [totalRecords]="totalRecords"
          pageLinkSize="3"
          [rowsPerPageOptions]="rowsPerPageOptions"
          (onPageChange)="paginate($event)">
        </p-paginator>
      </div>
    </div>
  </div>
</div>




<p-dialog [(visible)]="showTransactionDetailForm"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '1000px', height: 'auto'}">
  <p-header>
    Memo wise Expense Details
  </p-header>

  <p-table id="detailTable"
           class="text-center"
           [columns]="detailColumnName"
           [value]="(detail)"
           [(selection)]="detail"
           [resizableColumns]="true"
           [autoLayout]="true">
    <ng-template pTemplate="header" let-columns>
      <tr>
        <th *ngFor="let col of columns" [pSortableColumn]="col.value">
          {{col.name}}
          <p-sortIcon [field]="col.value"></p-sortIcon>
        </th>
      </tr>
    </ng-template>

    <ng-template pTemplate="body" let-list let-i="rowIndex">
      <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
        <td>{{ i + 1 + itemsPerPage * page }}</td>
        <td>{{list.branchName}}</td>
        <td>{{list.solId}}</td>
        <td>{{list.description}}</td>
        <td>{{list.accountNumber }}</td>
        <td>{{list.month }}</td>
        <td>{{list.expenseAmount | currency: 'Rs.' }}</td>
        <td>{{list.billPaymentMemoCode}}</td>
        <td>{{list.requestedDate  }}</td>
        <td>{{list.billApprovedDate }}</td>
      </tr>
    </ng-template>
  </p-table>

</p-dialog>

